#include<bits/stdc++.h>
using namespace std;
long long tich(long long n)
{
	if(n==1)	return 1;
	else
	return n*tich(n-2);
}
long long tong(long long n)
{
	if(n==1)	return 1;
	else
	return n+tong(n-2);
}
int main()
{
	ifstream f1("dqps.inp");
	ofstream f2("dqps.out");
	long long a;
	f1>>a;
	f2<<tich(2*a+1)<<endl<<tong(2*a+1);
	f1.close();
	f2.close();
}
